Bug 392261 - Review Request: perl-File-Find-Rule-Perl - Common rules for searching for Perl things
Review Request: perl-File-Find-Rule-Perl - Common rules for searching for Per...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
Blocks: 392291 729601
  Show dependency treegraph
Reported: 2007-11-20 08:34 EST by Ralf Corsepius
Modified: 2012-04-04 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-File-Find-Rule-Perl-1.09-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-28 22:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-11-20 08:34:23 EST
Spec URL: ftp://packman.links2linux.de/pub/packman/fedora/SRPMS/perl-File-Find-Rule-Perl.spec
SRPM URL: ftp://packman.links2linux.de/pub/packman/fedora/SRPMS/perl-File-Find-Rule-Perl-0.03-1.fc8.src.rpm
Description: Common rules for searching for Perl things.

This package is a new dependency of other packages already in Fedora.
Comment 1 Jason Tibbitts 2007-11-20 15:16:28 EST
* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(File::Find::Rule::Perl) = 0.03
   perl-File-Find-Rule-Perl = 0.03-1.fc9
   perl >= 0:5.005
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=9,  0 wallclock secs ( 0.25 cusr +  0.07 csys =  0.32 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Ralf Corsepius 2007-11-21 00:32:39 EST
New Package CVS Request
Package Name: perl-File-Find-Rule-Perl
Short Description: Common rules for searching for Perl things.
Owners: corsepiu
Branches: F-8 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes
Comment 3 Jason Tibbitts 2007-11-21 13:29:43 EST
CVS done.
Comment 4 Ralf Corsepius 2007-11-28 22:58:51 EST
Packages pushed and released for FC-7, FC-8 and rawhide.
Comment 5 Paul Howarth 2012-03-14 08:16:57 EDT
Package Change Request
Package Name: perl-File-Find-Rule-Perl
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig

Ralf has previously declared his non-interest in EPEL, which is why I am
requesting this branch myself.
Comment 6 Jon Ciesla 2012-03-14 08:24:19 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-03-18 10:33:03 EDT
perl-File-Find-Rule-Perl-1.09-1.el5 has been submitted as an update for Fedora EPEL 5.
Comment 8 Fedora Update System 2012-04-04 23:04:43 EDT
perl-File-Find-Rule-Perl-1.09-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.